PROCDUMP(1)

NAME
procdump - generate coredumps based on performance triggers.

SYNOPSIS
procdump [ -n count ] [ -s seconds ] [ -c|-cl CPU usage ] [ -m|-ml usage ] [ -gcm [[gc-generation:|LOH:|POH:]mem_usage[,mem_usage,...]] ] [ -gcgen generation ] [ -tc threshold ] [ -fc threshold ] [ -sig number ] [ -e ] [ -f filter,... ] [ -pf frequency ] [ -o ] [ -log ] [[ [ -w name ] | [ -pgid pid ] ] [ file | folder ]]

DESCRIPTION
procdump is a Linux reimagining of the class ProcDump tool from the Sysinternals suite of tools for Windows. Procdump provides a convenient way for Linux developers to create core dumps of their application based on performance triggers.

OPTIONS

-n  Number of dumps to write before exiting.

-s  Consecutive seconds before dump is written (default is 10).

-c  CPU threshold above which to create a dump of the process.

-cl CPU threshold below which to create a dump of the process.

-m  Memory commit threshold(s) (MB) above which to create dumps.

-ml Memory commit threshold(s) (MB) below which to create dumps.

-gcm
    [.NET] GC memory threshold(s) (MB) above which to create dumps for the specified generation or heap (default is total .NET memory usage).

-gcgen
    [.NET] Create dump when the garbage collection of the specified generation starts and finishes.

-tc Thread count threshold above which to create a dump of the process.

-fc File descriptor count threshold above which to create a dump of the process.

-sig
    Signal number to intercept to create a dump of the process.

-e  [.NET] Create dump when the process encounters an exception.

-f  [.NET] Filter (include) on the (comma separated) exception name(s) and exception messages(s). Supports wildcards.

-pf Polling frequency.

-o  Overwrite existing dump file.

-log
    Writes extended ProcDump tracing to syslog.

-w  Wait for the specified process to launch if it's not running.

-pgid
    Process ID specified refers to a process group ID.

COPYRIGHT
Copyright (C) Microsoft Corporation. All rights reserved. Licensed under the MIT license.